#!/bin/sh

# son1u.sh

# Generate urtext score from TeX produced front page, comments etc
# and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs.sh son1u.sh -D URTEXT

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 1 page

echo 1st movement, generating single pages ...

domovement 1 son11

# 2nd movement, 3 pages

echo 2nd movement, generating single pages ...

domovement 3 son12

# 3rd movement, 1 page

echo 3rd movement, generating single pages ...

domovement 1 son13

# 4th movement, 2 pages

echo 4th movement, generating single pages ...

domovement 2 son14

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son1u > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1

mkps son1u

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son1u

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son1u*.epsi > /dev/null

rm -f son1u.dvi > /dev/null

exit
