#!/bin/sh

# son2.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs.sh son1.sh -D SCORE

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 3 pages

echo 1st movement, generating single pages ...

domovement 3 son21

# 2nd movement, 3 pages

echo 2nd movement, generating single pages ...

domovement 3 son22

# 3rd movement, 6 pages

echo 3rd movement, generating single pages ...

domovement 5 son23

# Music examples

echo Music example son23_note1

mup2epsi son23_note1

echo Music example son23_note2

mup2epsi son23_note2

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son2 > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son2

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son2

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son2*.epsi > /dev/null

rm -f son2.dvi > /dev/null

exit
