#!/bin/sh

# son2fl.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs.sh son1.sh -D FLAUTO

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 1 pages

echo 1st movement, generating single pages ...

domovement 2 son21

# 2nd movement, 2 pages

echo 2nd movement, generating single pages ...

domovement 2 son22

# 3rd movement, 3 pages

echo 3rd movement, generating single pages ...

domovement 3 son23

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son2fl > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son2fl

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son2fl

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f *.epsi > /dev/null

rm -f *.dvi > /dev/null

exit
