#!/bin/bash

# son2u.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. ./setupfuncs.sh son1.sh -D URTEXT

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 2 pages

echo 1st movement, generating single pages ...

domovement 2 son21

# 2nd movement, 2 pages

echo 2nd movement, generating single pages ...

domovement 3 son22

# 3rd movement, 4 pages

echo 3rd movement, generating single pages ...

domovement 5 son23

# Music examples

echo Music example son23_note1

mup2epsi son23_note1

echo Music example son23_note2

mup2epsi son23_note2

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son2u > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son2u

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file ...

#dvipdfm son2u
mkps son2u
ps2pdf_letter son2u.ps

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f *.epsi > /dev/null

rm -f *.dvi > /dev/null

exit
