#!/bin/sh

# son3.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs.sh son3.sh -D SCORE

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 2 pages

echo 1st movement, generating single pages ...

domovement 2 son31

# 2nd movement, 4 pages

echo 2nd movement, generating single pages ...

domovement 3 son32

# 3rd movement, 1 page

echo 3rd movement, generating single pages ...

domovement 3 son33

# Music examples

echo Music example son31_note1

mup2epsi son31_note1

echo Music example son32_note1

mup2epsi son32_note1

echo Music example son32_note2

mup2epsi son32_note2

echo Music example son32_note3

mup2epsi son32_note3

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son3 > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son3

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son3

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f *.epsi *.dvi > /dev/null

exit
