#!/bin/sh

# son4u.sh

# In Redhat Fedora 2 force use of Ghostscript 7.03 built from source

export PATH="/usr/local/gs7.03/bin:$PATH"

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs.sh son4u.sh -D URTEXT

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 2 pages

echo 1st movement, generating single pages ...

domovement 2 son41

# 2nd movement, 2 pages

echo 2nd movement, generating single pages ...

domovement 2 son42

# 3rd movement, 1 page

echo 3rd movement, generating single pages ...

domovement 1 son43

# 4th movement, 2 pages

echo 4th movement, generating single pages ...

domovement 2 son44

# Music examples

echo Music example son41_note1

mup2epsi son41_note1

echo Music example son42_note1

mup2epsi son42_note1

echo Music example son43_note1

mup2epsi son43_note1

echo Music example son44_note1

mup2epsi son44_note1

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son4u > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son4u

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son4u

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son4*.eps* > /dev/null

rm -f son4u.dvi > /dev/null

exit
