#!/bin/bash

# son5fl.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. ./setupfuncs.sh son5.sh -D FLAUTO

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 1 page

echo 1st movement, generating single pages ...

domovement 1 son51

# 2nd movement, 2 pages

echo 2nd movement, generating single pages ...

domovement 2 son52

# 3rd movement, 1 page

echo 3rd movement, generating single pages ...

domovement 1 son53

# 4th movement, 2 pages

echo 4th movement, generating single pages ...

domovement 3 son54

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son5fl > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file ...

#dvipdfm son5fl
mkps son5fl
ps2pdf_letter son5fl

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son5*.epsi > /dev/null

rm -f son5*.ps > /dev/null

rm -f son5*.dvi > /dev/null

rm -f *.log > /dev/null

exit
