#!/bin/bash

# son7bth.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. ./setupfuncs2.sh son7bth.sh -D BOTHVERSIONS 

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 5 pages

echo 1st movement, generating single pages ...

domovement 5 son71

# 2nd movement, 3 pages

echo 2nd movement, generating single pages ...

domovement 3 son72

# 3rd movement, 3 pages

echo 3rd movement, generating single pages ...

domovement 3 son73

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son7bth > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file ...

#dvipdfm son7bth
mkps son7bth
ps2pdf_letter son7bth

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son7*.epsi > /dev/null

rm -f son7*.ps > /dev/null

rm -f son7*.dvi > /dev/null

rm -f *.log > /dev/null

exit
