#!/bin/sh

# son7g.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs2.sh son7g.sh -D SCORE1

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 3 pages

echo 1st movement, generating single pages ...

domovement 3 son71

# 2nd movement, 2 pages

echo 2nd movement, generating single pages ...

domovement 2 son72

# 3rd movement, 3 pages

echo 3rd movement, generating single pages ...

domovement 3 son73

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son7g > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son7g

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son7g

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son7*.epsi > /dev/null

rm -f son7g.dvi > /dev/null

exit
