#!/bin/sh

# son7gfl.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs2.sh son7.sh -D GFLAUTO

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 2 pages

echo 1st movement, generating single pages ...

domovement 2 son71

# 2nd movement, 1 page

echo 2nd movement, generating single pages ...

domovement 1 son72

# 3rd movement, 1 page

echo 3rd movement, generating single pages ...

domovement 2 son73

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son7gfl > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son7gfl

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son7gfl

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son7*.epsi > /dev/null

rm -f son7gfl.dvi > /dev/null

exit
