#!/bin/bash

# son7sbs.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. ./setupfuncs2.sh son7.sh -D SBASSO

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 1 page

echo 1st movement, generating single pages ...

domovement 1 son71

# 2nd movement, 1 page

echo 2nd movement, generating single pages ...

domovement 1 son72

# 3rd movement, 1 page

echo 3rd movement, generating single pages ...

domovement 1 son73

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son7sbs > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file ...

#dvipdfm son7sbs
mkps son7sbs
ps2pdf_letter son7sbs

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son7*.epsi > /dev/null

rm -f son7*.ps > /dev/null

rm -f son7*.dvi > /dev/null

rm -f *.log > /dev/null

# Rename postscript- and pdf result files according the Schwerin numbering

#mv son7sbs.ps son2sbs.ps 
mv son7sbs.pdf son2sbs.pdf

exit
