#!/bin/sh

# son8bs.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs.sh son8.sh -D BASSO

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 1 pages

echo 1st movement, generating single pages ...

domovement 1 son81

# 2nd movement, 1 page

echo 2nd movement, generating single pages ...

domovement 1 son82

# 3rd movement, 1 page

echo 3rd movement, generating single pages ...

domovement 1 son83

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son8bs > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son8bs

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son8bs

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son8*.epsi > /dev/null

rm -f son8bs.dvi > /dev/null

exit
