#!/bin/sh

# son9u.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs.sh son9u.sh -D URTEXT

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 2 pages

echo 1st movement, generating single pages ...

domovement 2 son91

# 2nd movement, 2 pages

echo 2nd movement, generating single pages ...

domovement 2 son92

# 3rd movement, 2 pages

echo 3rd movement, generating single pages ...

domovement 2 son93

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son9u > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son9u

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son9u

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son9*.epsi > /dev/null

rm -f son9u.dvi > /dev/null

exit
